
import 'package:flutter/cupertino.dart';
import 'package:flutter_mylibrary/config/const.dart';
import 'package:flutter_mylibrary/http/exception/http_error.dart';
import 'package:flutter_mylibrary/http/http_data.dart';

import 'base_view_state.dart';

mixin BaseRequestListController<T> on BaseViewState{

  /// 页面数据
  List<T> list = [];



  ///获取数据
  Future<HttpData> refreshData(){
    return request((httpData, requestInfo){
      httpData.data = List<T>.from(httpData.data);
      list = httpData.data;
      requestInfo.onSuccess?.call(httpData);
      setIdle();
      return httpData;
    });
  }


}